#!/bin/bash
# parameters as per AMD: [--force | --dry-run]
dryrun=
while [ -n "$*" ]; do
	case "$1" in
	--dryrun)	dryrun="--test" ;;
	--force)	;;
	--preserve)	;;
	--quick)	;;
	--getUninstallVersion) exit 2 ;;
	*)		echo "Unknown option for $0." >&2 ;;
	esac
	shift
done

# AMD documentation suggests doing rpm -V and use --force to override it,
# but it doesn't make sense with the update-alternatives setup, so we just
# check package presence.
pkgs=
rpm -q --quiet x11-driver-video-fglrx-legacy             && pkgs="$pkgs x11-driver-video-fglrx-legacy"
rpm -q --quiet dkms-fglrx-legacy           && pkgs="$pkgs dkms-fglrx-legacy"
rpm -q --quiet fglrx-legacy-control-center && pkgs="$pkgs fglrx-legacy-control-center"
rpm -q --quiet fglrx-legacy-devel          && pkgs="$pkgs fglrx-legacy-devel"
[ -n "$pkgs" ] || { echo "The AMD proprietary driver is not installed." >&2; exit 1; }
urpme --auto $dryrun $pkgs || { echo "Failed to uninstall the AMD proprietary driver." >&2; exit 1; }
[ -n "$dryrun" ] || echo "The AMD proprietary driver has been uninstalled."
